Manage Notification Channels
Update a notification channel
put
/api/notification-channels/{originOrId}Updates an existing notification channel.
Parameters 1
originOrIdpathrequiredNotification channel origin or UUID.
string
bash
Sample requestcurl --request PUT 'https://api.eu-west-1.aws.dash0.com/api/notification-channels/123e4567-e89b-42d3-a456-426614174000' \
--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}" \
--header 'Content-Type: application/json' \
--data-raw '{
"kind": "Dash0NotificationChannel",
"metadata": {
"name": "Example"
},
"spec": {
"type": "slack",
"config": {
"webhookURL": "https://example.com",
"channel": "example"
}
}
}'Request body required
References NotificationChannelDefinition
A notification channel configuration wrapped in a CRD-like envelope. Follows the Dash0 resource convention with kind/metadata/spec structure.
stringrequired
"Dash0NotificationChannel"NotificationChannelMetadatarequired
NotificationChannelSpecrequired
Responses
The updated notification channel
References NotificationChannelDefinition
A notification channel configuration wrapped in a CRD-like envelope. Follows the Dash0 resource convention with kind/metadata/spec structure.
stringrequired
"Dash0NotificationChannel"NotificationChannelMetadatarequired
NotificationChannelSpecrequired